NVIDIA TX2 failing to access console


#1

I’ve just finished installing FlytBase OS on TX2 nvidia account, and the device jetpack version is 3.1. I just run the sudo sh -c 'wget -O - https://downloads.flytbase.com/flytos/install/flytOS.sh | bash' code and after a long time, the device rebooted. But I could access neither the localhost console on the device nor the remote console on a PC. So how could I fix that? Thanks.
Further description:

  1. When I open the terminal, the first line would show :
    bash: /flyt/flytos/flytcore/setup.bash: No such file or directory.
  2. When I visit localhost/flytconsole and Chromium would show:
    This site can’t be reached-localhost refused to connect.

#2

Hi @smafaith,

Please share the flytos_installation_log.txt file generated in Nvidia’s ‘Home’ Directory.


#3

e[0;34mFound TX2e[0m
Found Ubuntu 16.04
e[0;31m FlytOS already installed. Removing FlytOS before proceeding.e[0m
(Reading database … 220879 files and directories currently installed.)
Removing flytcore-pe (1.5-6d) …
/flyt/flytos/flytcore/share/core_api
e[1;32mFlytOS not running
Executing: /tmp/tmp.q7cVFNEM8s/gpg.1.sh --keyserver
hkp://ha.pool.sks-keyservers.net:80
–recv-key
0xB01FA116
gpg: requesting key B01FA116 from hkp server ha.pool.sks-keyservers.net
gpg: key B01FA116: “ROS Builder rosbuild@ros.org” not changed
gpg: Total number processed: 1
gpg: unchanged: 1
Get:1 file:/var/cuda-repo-8-0-local InRelease
Ign:1 file:/var/cuda-repo-8-0-local InRelease
Get:2 file:/var/libopencv4tegra-repo InRelease
Ign:2 file:/var/libopencv4tegra-repo InRelease
Get:3 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 InRelease
Ign:3 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 InRelease
Get:4 file:/var/visionworks-repo InRelease
Ign:4 file:/var/visionworks-repo InRelease
Get:5 file:/var/visionworks-sfm-repo InRelease
Ign:5 file:/var/visionworks-sfm-repo InRelease
Get:6 file:/var/visionworks-tracking-repo InRelease
Ign:6 file:/var/visionworks-tracking-repo InRelease
Get:7 file:/var/cuda-repo-8-0-local Release [574 B]
Get:8 file:/var/libopencv4tegra-repo Release [347 B]
Get:7 file:/var/cuda-repo-8-0-local Release [574 B]
Get:9 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 Release [574 B]
Get:8 file:/var/libopencv4tegra-repo Release [347 B]
Get:10 file:/var/visionworks-repo Release [1,999 B]
Get:9 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 Release [574 B]
Get:11 file:/var/visionworks-sfm-repo Release [2,003 B]
Get:10 file:/var/visionworks-repo Release [1,999 B]
Get:12 file:/var/visionworks-tracking-repo Release [2,008 B]
Get:11 file:/var/visionworks-sfm-repo Release [2,003 B]
Get:13 file:/var/libopencv4tegra-repo Release.gpg [819 B]
Get:12 file:/var/visionworks-tracking-repo Release [2,008 B]
Get:13 file:/var/libopencv4tegra-repo Release.gpg [819 B]
Hit:18 http://packages.ros.org/ros/ubuntu xenial InRelease
Hit:19 http://ports.ubuntu.com/ubuntu-ports xenial InRelease
Hit:21 http://ports.ubuntu.com/ubuntu-ports xenial-updates InRelease
Hit:22 http://ports.ubuntu.com/ubuntu-ports xenial-security InRelease
Reading package lists…
W: Invalid ‘Date’ entry in Release file /var/lib/apt/lists/_var_libopencv4tegra-repo_Release
Reading package lists…
Building dependency tree…
Reading state information…
ros-kinetic-desktop is already the newest version (1.3.2-0xenial-20180524-102202-0800).
The following packages were automatically installed and are no longer required:
apt-clone archdetect-deb dmeventd dmraid dpkg-repack gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libappstream3 libdebian-installer4
libdevmapper-event1.02.1 libdmraid1.0.0.rc16 liblockfile-bin liblockfile1
liblvm2app2.2 liblvm2cmd2.02 libmbim-glib4 libmbim-proxy libmircommon5
libparted-fs-resize0 libqmi-glib1 libqmi-proxy libreadline5 lockfile-progs
lvm2 os-prober pmount python3-icu python3-pam rdate ubiquity-casper
ubiquity-ubuntu-artwork ubuntu-core-launcher usb-modeswitch
usb-modeswitch-data
Use ‘sudo apt autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.
Doing /etc/ssl/certs
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
rosdep already initialized

Session terminated, terminating shell…reading in sources list data from /etc/ros/rosdep/sources.list.d
Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml
Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/base.yaml
Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/python.yaml
Hit https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/ruby.yaml
Hit https://raw.githubusercontent.com/ros/rosdistro/master/releases/fuerte.yaml
Query rosdistro index https://raw.githubusercontent.com/ros/rosdistro/master/index.yaml
Traceback (most recent call last):
File “/usr/bin/rosdep”, line 4, in
rosdep_main()
File “/usr/lib/python2.7/dist-packages/rosdep2/main.py”, line 140, in rosdep_main
exit_code = _rosdep_main(args)
File “/usr/lib/python2.7/dist-packages/rosdep2/main.py”, line 386, in _rosdep_main
return _no_args_handler(command, parser, options, args)
File “/usr/lib/python2.7/dist-packages/rosdep2/main.py”, line 395, in _no_args_handler
return command_handlerscommand
File “/usr/lib/python2.7/dist-packages/rosdep2/main.py”, line 592, in command_update
error_handler=update_error_handler)
File “/usr/lib/python2.7/dist-packages/rosdep2/sources_list.py”, line 487, in update_sources_list
for dist_name in sorted(get_index().distributions.keys()):
File “/usr/lib/python2.7/dist-packages/rosdep2/rosdistrohelper.py”, line 69, in get_index
_RDCache.index = rosdistro.get_index(_RDCache.index_url)
File “/usr/lib/python2.7/dist-packages/rosdistro/init.py”, line 101, in get_index
yaml_str = load_url(url)
File “/usr/lib/python2.7/dist-packages/rosdistro/loader.py”, line 48, in load_url
fh = urlopen(url, timeout=timeout)
File “/usr/lib/python2.7/urllib2.py”, line 154, in urlopen
return opener.open(url, data, timeout)
File “/usr/lib/python2.7/urllib2.py”, line 429, in open
response = self._open(req, data)
File “/usr/lib/python2.7/urllib2.py”, line 447, in _open
‘_open’, req)
File “/usr/lib/python2.7/urllib2.py”, line 407, in _call_chain
result = func(*args)
File “/usr/lib/python2.7/urllib2.py”, line 1241, in https_open
context=self._context)
File “/usr/lib/python2.7/urllib2.py”, line 1201, in do_open
r = h.getresponse(buffering=True)
File “/usr/lib/python2.7/httplib.py”, line 1136, in getresponse
response.begin()
File “/usr/lib/python2.7/httplib.py”, line 453, in begin
version, status, reason = self._read_status()
File “/usr/lib/python2.7/httplib.py”, line 409, in _read_status
line = self.fp.readline(_MAXLINE + 1)
File “/usr/lib/python2.7/socket.py”, line 480, in readline
data = self._sock.recv(self._rbufsize)
File “/usr/lib/python2.7/ssl.py”, line 756, in recv
return self.read(buflen)
File “/usr/lib/python2.7/ssl.py”, line 643, in read
v = self._sslobj.read(len)
KeyboardInterrupt
…terminated.
Reading package lists…
Building dependency tree…
Reading state information…
python-concurrent.futures is already the newest version (3.0.5-1).
python-flask is already the newest version (0.10.1-2build2).
python-mock is already the newest version (1.3.0-2.1ubuntu1).
python-serial is already the newest version (3.0.1-1).
python-sqlalchemy is already the newest version (1.0.11+ds1-1ubuntu2).
python-future is already the newest version (0.15.2-1).
python-wtforms is already the newest version (2.1-1).
python-zmq is already the newest version (15.2.0-0ubuntu4).
python-twisted is already the newest version (16.0.0-1ubuntu0.2).
python-pip is already the newest version (8.1.1-2ubuntu0.4).
The following packages were automatically installed and are no longer required:
apt-clone archdetect-deb dmeventd dmraid dpkg-repack gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libappstream3 libdebian-installer4
libdevmapper-event1.02.1 libdmraid1.0.0.rc16 liblockfile-bin liblockfile1
liblvm2app2.2 liblvm2cmd2.02 libmbim-glib4 libmbim-proxy libmircommon5
libparted-fs-resize0 libqmi-glib1 libqmi-proxy libreadline5 lockfile-progs
lvm2 os-prober pmount python3-icu python3-pam rdate ubiquity-casper
ubiquity-ubuntu-artwork ubuntu-core-launcher usb-modeswitch
usb-modeswitch-data
Use ‘sudo apt autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.
Collecting flask_cors
Operation cancelled by user
You are using pip version 8.1.1, however version 10.0.1 is available.
You should consider upgrading via the ‘pip install --upgrade pip’ command.
Reading package lists…
Building dependency tree…
Reading state information…
libxml2-dev is already the newest version (2.9.3+dfsg1-1ubuntu0.5).
libxslt1-dev is already the newest version (1.1.28-2.1ubuntu0.1).
ros-kinetic-camera-info-manager is already the newest version (1.11.13-0xenial-20180518-032559-0800).
ros-kinetic-control-toolbox is already the newest version (1.16.0-0xenial-20180518-035419-0800).
ros-kinetic-eigen-conversions is already the newest version (1.11.9-0xenial-20180517-110955-0800).
ros-kinetic-image-proc is already the newest version (1.12.23-0xenial-20180518-033249-0800).
ros-kinetic-image-transport is already the newest version (1.11.13-0xenial-20180518-030221-0800).
ros-kinetic-image-transport-plugins is already the newest version (1.9.5-0xenial-20180518-234329-0800).
ros-kinetic-pyros-utils is already the newest version (0.1.4-0xenial-20180223-172141-0800).
ros-kinetic-rosbridge-suite is already the newest version (0.9.0-0xenial-20180518-054256-0800).
The following packages were automatically installed and are no longer required:
apt-clone archdetect-deb dmeventd dmraid dpkg-repack gir1.2-timezonemap-1.0
gir1.2-xkl-1.0 kpartx kpartx-boot libappstream3 libdebian-installer4
libdevmapper-event1.02.1 libdmraid1.0.0.rc16 liblockfile-bin liblockfile1
liblvm2app2.2 liblvm2cmd2.02 libmbim-glib4 libmbim-proxy libmircommon5
libparted-fs-resize0 libqmi-glib1 libqmi-proxy libreadline5 lockfile-progs
lvm2 os-prober pmount python3-icu python3-pam rdate ubiquity-casper
ubiquity-ubuntu-artwork ubuntu-core-launcher usb-modeswitch
usb-modeswitch-data
Use ‘sudo apt autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 16 not upgraded.
Reading package lists…


#4

The script seems to have stopped prematurely (or atleast the log is suggesting this).
I have edited the script for you, removed the reboot command at the end.

flytOS.sh (15.1 KB)

Please download this attached script, make it executable and run it to install FlytOS. This time send the log printed in your terminal.

Feel free to post your doubts, if any.


#5

Okay, I will try that. Thanks!


#6

This script shall install FlytOS and its dependencies.
Please note that your system shall reboot on successful installation.
Logging at /home/nvidia/flytos_installation_log.txt
Found TX2
Found Ubuntu 16.04
FlytOS already installed. Removing FlytOS before proceeding.
dpkg: warning: ignoring request to remove flytcore-pe, only the config
files of which are on the system; use --purge to remove them too
Executing: /tmp/tmp.wcRbeEveBK/gpg.1.sh --keyserver
hk p://ha.pool.sks-keyservers.net:80
–recv-key
0xB01FA116
gpg: requesting key B01FA116 from hkp server ha.pool.sks-keyservers.net
gpg: key B01FA116: “ROS Builder rosbuild@ros.org” not changed
gpg: Total number processed: 1
gpg: unchanged: 1
Get:1 file:/var/cuda-repo-8-0-local InRelease
Ign:1 file:/var/cuda-repo-8-0-local InRelease
Get:2 file:/var/libopencv4tegra-repo InRelease
Ign:2 file:/var/libopencv4tegra-repo InRelease
Get:3 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 InRelease
Ign:3 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 InRelease
Get:4 file:/var/visionworks-repo InRelease
Ign:4 file:/var/visionworks-repo InRelease
Get:5 file:/var/visionworks-sfm-repo InRelease
Ign:5 file:/var/visionworks-sfm-repo InRelease
Get:6 file:/var/visionworks-tracking-repo InRelease
Ign:6 file:/var/visionworks-tracking-repo InRelease
Get:7 file:/var/cuda-repo-8-0-local Release [574 B]
Get:8 file:/var/libopencv4tegra-repo Release [347 B]
Get:9 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 Release [574 B]
Get:10 file:/var/visionworks-repo Release [1,999 B]
Get:7 file:/var/cuda-repo-8-0-local Release [574 B]
Get:11 file:/var/visionworks-sfm-repo Release [2,003 B]
Get:12 file:/var/visionworks-tracking-repo Release [2,008 B]
Get:8 file:/var/libopencv4tegra-repo Release [347 B]
Get:9 file:/var/nv-gie-repo-ga-cuda8.0-trt2.1-20170614 Release [574 B]
Get:10 file:/var/visionworks-repo Release [1,999 B]
Get:11 file:/var/visionworks-sfm-repo Release [2,003 B]
Get:12 file:/var/visionworks-tracking-repo Release [2,008 B]
Hit:15 htt p://packages.ros.org/ros/ubuntu xenial InRelease
Hit:17 htt p://ports.ubuntu.com/ubuntu-ports xenial InRelease
Hit:19 ht p://ports.ubuntu.com/ubuntu-ports xenial-updates InRelease
Hit:22 h ttp://ports.ubuntu.com/ubuntu-ports xenial-security InRelease
Reading package lists…
W: Invalid ‘Date’ entry in Release file /var/lib/apt/lists/_var_libopencv4tegra-repo_Release
Reading package lists…
Building dependency tree…
Reading state information…
ros-kinetic-desktop is already the newest version (1.3.2-0xenial-20180524-102202-0800).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Doing /etc/ssl/certs
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
rosdep already initialized
ERROR: error loading sources list:
(‘The read operation timed out’,)
reading in sources list data from /etc/ros/rosdep/sources.list.d
Hit htt ps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml
Hit htt ps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/base.yaml
Hit http s://raw.githubusercontent.com/ros/rosdistro/master/rosdep/python.yaml
Hit http s://raw.githubusercontent.com/ros/rosdistro/master/rosdep/ruby.yaml
Hit htt ps://raw.githubusercontent.com/ros/rosdistro/master/releases/fuerte.yaml
Query rosdistro index htt ps://raw.githubusercontent.com/ros/rosdistro/master/index.yaml
Add distro “groovy”
Add distro “hydro”

As is shown in the terminal, please check that. Thank you so much!


#7

It has ended prematurely again.
Can you please run the script again.
Ideally the last thing that should happen is the script installing flytos.

I will try to figure out why is this happening, in the meantime.


#8

It seems like errors with network:
Doing /etc/ssl/certs
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
WARNING: Skipping duplicate certificate ACCVRAIZ1.pem
rosdep already initialized
ERROR: unable to process source [htt ps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml]:
(htt ps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml)
ERROR: unable to process source [h ttps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/base.yaml]:
(htt ps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/base.yaml)
ERROR: unable to process source [ht tps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/python.yaml]:
(ht tps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/python.yaml)
ERROR: unable to process source [ht tps://raw.githubusercontent.com/ros/rosdistro/master/rosdep/ruby.yaml]:
(http s://raw.githubusercontent.com/ros/rosdistro/master/rosdep/ruby.yaml)
ERROR: unable to process source [h ttps://raw.githubusercontent.com/ros/rosdistro/master/releases/fuerte.yaml]:
Failed to download target platform data for gbpdistro:

ERROR: error loading sources list:
<urlopen error (ht tps://raw.githubusercontent.com/ros/rosdistro/master/index.yaml)>
reading in sources list data from /etc/ros/rosdep/sources.list.d
Query rosdistro index htt ps://raw.githubusercontent.com/ros/rosdistro/master/index.yaml

BTW, I’m using shadowsocks proxy.


#9

Good news! I tried installing the dependencies step by step according to flytos.sh and finished the installation. Thank you for all your help.


#10

If you notice this line and similar lines in both your logs, there is a random space in htt ps. It is quite weird, as the position at which space appears varies in both the logs.

Anyway, good that you have solved the issue yourself, and thanks for posting the remedy. Will definitely help other community users facing the same issue with Nvidia or otherwise.


#11

Actually I did that. As a new user of the forum, I’m not able to upload documents or files, nor can I reply with more than 2 links. So I changed all the links.


#12

Oh OK. Nevermind.
Will try to replicate the issue and will get back to you if I have any update on this.